#ifndef AUTOCOMPLETE_HPP
#define AUTOCOMPLETE_HPP

#include <string>
#include <vector>
#include <set>

namespace autocomplete {

    extern const std::set<std::string> system_commands_noargs;
    extern const std::set<std::string> system_commands_always_available;
    extern const std::set<std::string> system_commands_require_config;
    extern const std::set<std::string> system_commands_hidden;

    extern const std::set<std::string> service_commands_require_config;

    void merge_commands(std::set<std::string> &commands, const std::set<std::string> &new_commands);

    bool is_no_arg_cmd(std::string cmd);

    bool autocomplete(const std::vector<std::string> &args);

    bool autocomplete_list_commands();

}


#endif